package main

import (
	"context"
	"fmt"
	"gibb165lb2/util"
	"go.mongodb.org/mongo-driver/mongo"
	"go.mongodb.org/mongo-driver/mongo/options"
	"log"
	"net/http"
	"os"
	"time"
)

func main() {
	ctx, cancel := context.WithTimeout(context.Background(), 10*time.Second)
	defer cancel()
	var err error
	var conUri = os.Getenv("MONGO_URL")
	if conUri == "" {
		conUri = "mongodb://root:root12345@localhost:27017"
	}
	util.Client, err = mongo.Connect(ctx, options.Client().ApplyURI(conUri))
	if err != nil {
		panic(err)
	}
	defer func(Client *mongo.Client, ctx context.Context) {
		err := Client.Disconnect(ctx)
		if err != nil {
			
		}
	}(util.Client, ctx)
	r := GetRouter()
	fmt.Println("Server is running on port 3000")
	err = http.ListenAndServe(":3000", r)
	if err != nil {
		log.Fatal(err)
	}
}
